<?php

namespace RistrettoApps\Spawnster\Services;

class EnhanceContent
{
    public string $content;
    public string $context;

    public function handle(): ?string
    {
        $openAiService = new OpenAiService();
        $language_instruction = $openAiService->get_language_instruction();
        $openAiService->content = $this->content . ' from ' . $this->context . $language_instruction;

        return $openAiService->getResponse();
    }
}